linsmith_0.99.28-1_amd64.deb


Advertisement

Description

linsmith - tool to generate Smith Charts

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name linsmith
Package version 0.99.28
Package release 1
Package architecture amd64
Package type deb
Installed size 1.36 KB
Download size 890.55 KB
Official Mirror ftp.br.debian.org
A Smith chart is a tool used in electrical engineering that
shows how the complex impedance of a transmission line varies along its
length, and simplifies the design of impedance matching networks to match
the line to its load.
linSmith is a Smith Charting program, mainly designed for educational use.
As such, there is an emphasis on capabilities that improve the 'showing
the effect of'-style of operation.
Its main features are:
* Definition of multiple load impedances (at different frequencies)
* Addition of discrete (L, C, parallel and series LC, and transformer)
and line components (open and closed stubs, line segments)
* Connection in series and parallel
* Easy experimentation with values using scrollbars
* A 'virtual' component switches from impedance to admittance to help
explaining (or understanding) parallel components
* The chart works in real impedances (not normalized ones)
* Direct view of the result on the screen
* Ability to generate publication quality Postscript output
* A 'log' file with textual results at each intermediate step
* Load and circuit configuration is stored separately, permitting several
solutions without re-defining the other

Alternatives

Package Version Architecture Repository
linsmith_0.99.28-1_i386.deb 0.99.28 i386 Debian Main
linsmith - - -

Requires

Name Value
libatk1.0-0 >= 1.12.4
libc6 >= 2.7
libcairo2 >= 1.2.4
libgdk-pixbuf2.0-0 >= 2.22.0
libglib2.0-0 >= 2.12.0
libgnome-2-0 -
libgnomecanvas2-0 >= 2.11.1
libgnomeui-0 >= 2.22.0
libgtk2.0-0 >= 2.12.0
libpango-1.0-0 >= 1.14.0
libpangocairo-1.0-0 >= 1.14.0
libxml2 >= 2.7.4

Download

Type URL
Binary Package linsmith_0.99.28-1_amd64.deb
Source Package linsmith

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install linsmith deb package:
    # sudo apt-get install linsmith

Files

Path
/usr/bin/linsmith
/usr/share/applications/linsmith.desktop
/usr/share/doc-base/linsmith
/usr/share/doc/linsmith/NEWS.gz
/usr/share/doc/linsmith/README
/usr/share/doc/linsmith/changelog.Debian.gz
/usr/share/doc/linsmith/changelog.gz
/usr/share/doc/linsmith/copyright
/usr/share/doc/linsmith/manual.pdf.gz
/usr/share/doc/linsmith/examples/6-1.circ
/usr/share/doc/linsmith/examples/6-4.circ
/usr/share/doc/linsmith/examples/6-4.load
/usr/share/doc/linsmith/examples/6-5.circ
/usr/share/doc/linsmith/examples/6-5.load
/usr/share/doc/linsmith/examples/6-6.circ
/usr/share/doc/linsmith/examples/6-6.load
/usr/share/doc/linsmith/examples/aaa.s2p
/usr/share/doc/linsmith/examples/f_and_h.circ
/usr/share/doc/linsmith/examples/f_and_h.load
/usr/share/doc/linsmith/examples/f_and_h_rotate_to_load.circ
/usr/share/doc/linsmith/examples/mgf1302.s2p
/usr/share/doc/linsmith/examples/nb_40.load
/usr/share/doc/linsmith/examples/nbb300.s2p.gz
/usr/share/linsmith/conv0809
/usr/share/locale/de/LC_MESSAGES/linsmith.mo
/usr/share/locale/es/LC_MESSAGES/linsmith.mo
/usr/share/locale/hu/LC_MESSAGES/linsmith.mo
/usr/share/locale/it/LC_MESSAGES/linsmith.mo
/usr/share/locale/sv/LC_MESSAGES/linsmith.mo
/usr/share/locale/zh/LC_MESSAGES/linsmith.mo
/usr/share/man/man1/linsmith.1.gz
/usr/share/menu/linsmith
/usr/share/pixmaps/linsmith/linsmith_icon.xpm
/usr/share/pixmaps/linsmith/linsmith_small.xpm
/usr/share/pixmaps/linsmith/smith4.png
/usr/share/pixmaps/linsmith/smithent.png

Changelog

2014-10-09 - Graham Inggs <graham@nerve.org.za>
linsmith (0.99.28-1) unstable; urgency=medium
* New upstream release (Closes: #717316).
* Switch to source format 3.0 (quilt) and dh(1) with dh-autoreconf.
* Update debian/watch.
* Add Vcs-Browser and Vcs-Git fields in debian/control.
* Add myself to uploaders.
* Machine-readable debian/copyright.
* Update linsmith.desktop, remove Encoding, add Keywords.
* Update debian/control: fix typo in package description (Closes: #749857).
* Bump Standards-Version to 3.9.6 (no further changes).
2011-06-17 - Margarita Manterola <marga@debian.org>
linsmith (0.99.21-1) unstable; urgency=low
* New upstream release
- Removes libgnomeprint dependency (Closes: #542563)
* Added rules to update config.sub and config.guess,
autotools-dev build-dependency needed. (Closes: #546299)
* Updated Standards Version to 3.9.2, no changes needed.
* Updated debhelper compat level to 7.
* Fixed smaller lintian issues.
* Added --as-needed to debian/rules to prevent pulling in unneeded
dependencies 
* Updated Spanish translation
2008-06-30 - Margarita Manterola <marga@debian.org>
linsmith (0.99.7-1) unstable; urgency=low
* New upstream release
* Updated Standards Version.  No changes needed.
* Fixed doc-base location to match new structure.
2008-01-05 - Margarita Manterola <marga@debian.org>
linsmith (0.99.4-1) unstable; urgency=low
* New upstream release
* Updated to new standards version.
+ Updated the menu files
* Changed Homepage from Pseudo-Field to actual Field.
2007-04-15 - Margarita Manterola <marga@debian.org>
linsmith (0.99.3-1) unstable; urgency=low
* New upstream release.  Dropped the backported patches.
* Removed the sharutils build-dep, used for uudecode, which wasn't really
necessary.
2007-02-08 - Margarita Manterola <marga@debian.org>
linsmith (0.99.1-2) unstable; urgency=low
* Added font_name_buffer.dpatch from 0.99.2 to fix a possible
buffer overflow with very long font names.
* Added other_buffers.dpatch from 0.99.3 to fix some other, less important,
buffer overflows.  (Closes: #403298)
2006-07-15 - Margarita Manterola <marga@debian.org>
linsmith (0.99.1-1) unstable; urgency=low
* New upstream release
* Updated debhelper's compatibility level to 5, no changes needed.
* Updated Standards-Version to 3.7.2, no changes needed.
2006-04-14 - Margarita Manterola <marga@debian.org>
linsmith (0.9.5-1) unstable; urgency=low
* New upstream release.
2005-12-06 - Margarita Manterola <marga@debian.org>
linsmith (0.9.2-1) unstable; urgency=low
* New upstream release:
- Removed the patch for spanish translation, since it's in the release
- Removed the uuencoded manual.pdf, it's now included by upstream.
2005-11-16 - Margarita Manterola <marga@debian.org>
linsmith (0.9.1-1) unstable; urgency=low
* Initial release. Closes: #337153
* The file manual.pdf is included as a pre-generated pdf since generating it
from lyx at build time proved to be not safe.  It can still be created
from source, provided you have a working lyx environment.
* Added an icon for the menu item.
* Fixed the Spanish translation.
* Clarified the copyright of pixmaps.inc and chartdef.inc

See Also

Package Description
lintex_1.13-1_amd64.deb automatic cleanup of old TeX-related files
linthesia_0.4.3-1_amd64.deb Fork of Synthesia to GNU/Linux
lintian_2.5.30+deb8u4_all.deb Debian package checker
linux-base_3.5_all.deb Linux image base package
linux-compiler-gcc-4.9-x86_3.16.56-1+deb8u1_amd64.deb Compiler for Linux on x86 (meta-package)
linux-doc-3.16_3.16.56-1+deb8u1_all.deb Linux kernel specific documentation for version 3.16
linux-doc_3.16+63+deb8u2_all.deb Linux kernel specific documentation (meta-package)
linux-headers-3.16.0-6-all-amd64_3.16.56-1+deb8u1_amd64.deb All header files for Linux 3.16 (meta-package)
linux-headers-3.16.0-6-all_3.16.56-1+deb8u1_amd64.deb All header files for Linux 3.16 (meta-package)
linux-headers-3.16.0-6-amd64_3.16.56-1+deb8u1_amd64.deb Header files for Linux 3.16.0-6-amd64
linux-headers-3.16.0-6-common_3.16.56-1+deb8u1_amd64.deb Common header files for Linux 3.16.0-6
linux-headers-amd64_3.16+63+deb8u2_amd64.deb Header files for Linux amd64 configuration (meta-package)
linux-igd_1.0+cvs20070630-5_amd64.deb Linux UPnP Internet Gateway Device
linux-image-3.16.0-6-amd64_3.16.56-1+deb8u1_amd64.deb Linux 3.16 for 64-bit PCs
linux-image-amd64_3.16+63+deb8u2_amd64.deb Linux for 64-bit PCs (meta-package)
Advertisement
Advertisement